import { Token } from "../interface";
import { Lang as LanguageInterface } from "../interface";
import { Language } from "../lang";
export interface ColorConfig {
    comments: Color;
    strings: Color;
    numbers: Color;
    keywords: Color;
    builtins: Color;
    operators: Color;
    identifiers: Color;
    punctuations: Color;
    others: Color;
    bgColor?: string;
}
export interface Color {
    value?: string;
    bgValue?: string;
    class?: string;
}
export type ColoredToken = Color & {
    text: string;
};
export declare function colorlize(tokens: Token[], settings: ColorConfig): readonly [ColoredToken[], string | undefined];
export interface SimpleHtmlConfig {
    links?: boolean;
}
export declare function simpleHtml(tokens: ColoredToken[], cfg?: SimpleHtmlConfig): string;
export declare function verySimple(name: string, text: string, theme: string): string;
type HighlightOptions = {
    theme?: string | ColorConfig;
    links?: boolean;
    language?: Language | "auto" | LanguageInterface;
    filename?: string;
};
/**
 *
 * @param text Text to highlight
 * @param options
 * ```ts
 * type HighlightOptions = {
 *    theme?: string | ColorConfig;     // Theme name (see readme.md) or theme object (see examples in readme.md)
 *    links?: boolean;                  // Whether to convert links to <a> tags
 *    language?: Language | "auto" | LanguageInterface;
 *                                      // Language name (see readme.md) or "auto" to detect language from filename.
 *                                      // You can also provide a custom language object. See examples in readme.md.
 *                                      // Your LSP should tell you supported languages.
 *    filename?: string;                // Filename to detect language from
 * }
 * ```
 */
export declare function highlight(text: string, options?: HighlightOptions): string;
import { AtomOneDark } from "./atom-one-dark";
import { GithubDark } from "./github-dark";
import { TokyoNightDark } from "./tokyo-night-dark";
export declare function selectTheme(theme: string): ColorConfig;
export { GithubDark, AtomOneDark, TokyoNightDark };
